Summary:        Keep imports out of your namespace
Name:           perl-namespace-autoclean
Version:        0.29
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/namespace-autoclean
Source0:        https://cpan.metacpan.org/modules/by-module/namespace/namespace-autoclean-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) perl(strict) perl(warnings) perl(Carp)
BuildRequires:  perl(constant) perl(File::Basename) perl(File::Spec) perl(overload)
# For test suite
BuildRequires:  perl(Scalar::Util) perl(List::Util) perl(FindBin)
BuildRequires:  perl(Test::Needs) perl(Sub::Identify)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(namespace::clean) >= 0.20
BuildRequires:  perl(B::Hooks::EndOfScope) >= 0.12
Requires:       perl(Sub::Identify)
BuildArch:      noarch

%description
When you import a function into a Perl package, it will naturally also be available as a method.

The "namespace::autoclean" pragma will remove all imported symbols at the end of the current
package's compile cycle. Functions called in the package itself will still be bound by their name,
but they won't show up as methods on your class or instances.

This module is very similar to namespace::clean, except it will clean all imported functions, no
matter if you imported them before or after you "use"d the pragma. It will also not touch anything
that looks like a method.

%prep
%autosetup -n namespace-autoclean-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/namespace/
%{_mandir}/man3/namespace::autoclean.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.29-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.29-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 27 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.29-1
- Initial build
